#!/bin/sh
modprobe 8021q
echo "GOOSE and SMV Support (Module 8021q is Enabled)"

LVRT_CAPS=`getcap /usr/local/natinst/labview/lvrt | cut -d ' ' -f 3 | sed 's/+ep//g'`
if [ "${LVRT_CAPS}" != "" ]; then
   LVRT_CAPS=","${LVRT_CAPS}
fi
setcap "cap_net_raw${LVRT_CAPS}+ep" /usr/local/natinst/labview/lvrt
echo "GOOSE and SMV Support (Access to Raw Socket is Authorized)"
